#ifndef STARTER_H
#define STARTER_H

#include <QtCore>
#include <QtGui>

class CustomWindow;

class Starter : public QObject
{
    Q_OBJECT
public:
    explicit Starter(
            const QString &name,
            CustomWindow *mainWindow,
            CustomWindow *pultWindow);

protected slots:
    void handleOneWindowClosed();

private:
    CustomWindow *m_mainWindow;
    CustomWindow *m_pultWindow;
    QString s_name;

};

#endif // STARTER_H
